'use strict';
global.chai = require('chai');
global.should = chai.should();

// Library
global.ORM = require('../lib/orm');

ORM.Model.extend('post', require('../models/post'));
ORM.Model.extend('tag', require('../models/tag'));
ORM.Model.extend('user', require('../models/user'));
ORM.Model.extend('media', require('../models/media'));
//ORM.Model.extend('post_item', require('../models/post-item'));

const knexHelper = require('../knex-helper.js');

// Before all tests
before(function(done) {
  ORM.connect({
    host: 'postgres',
    user: 'vello',
    password: 'admin123',
    database: 'orm_test'
  });
  return Promise.resolve()
  .then(() => {
    return knexHelper.rollback('orm_test');
  })
  .then(() => {
    return knexHelper.migrate('orm_test');
  })
  .then(() => {
    done();
  });
});
